<mat-form-field appearance="standard">
  <mat-label>Filter</mat-label>
  <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
</mat-form-field>
<div class="action-bl">
  <button mat-mini-fab color="primary" aria-label="Add" (click)="openDialog()">
    <mat-icon>add</mat-icon>
  </button>
</div>

<div class="mat-elevation-z8">
  <mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
  <table mat-table [dataSource]="dataSource">

    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef > Id </th>
      <td mat-cell *matCellDef="let row"> {{row.userId}} </td>
    </ng-container>

    <ng-container matColumnDef="fullName">
      <th mat-header-cell *matHeaderCellDef > Driver </th>
      <td mat-cell *matCellDef="let row"> {{row.lastName + ' ' + row.firstName}} </td>
    </ng-container>

    <ng-container matColumnDef="username">
      <th mat-header-cell *matHeaderCellDef > Username </th>
      <td mat-cell *matCellDef="let row"> {{row.username}} </td>
    </ng-container>

    <ng-container matColumnDef="contacts">
      <th mat-header-cell *matHeaderCellDef > Contacts </th>
      <td mat-cell *matCellDef="let row"> {{row.contacts}} </td>
    </ng-container>
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef > Email </th>
      <td mat-cell *matCellDef="let row"> {{row.email}} </td>
    </ng-container>
    <ng-container matColumnDef="isActive">
      <th mat-header-cell *matHeaderCellDef > Is Active </th>
      <td mat-cell *matCellDef="let row"> {{row.isActive}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>

  <mat-paginator #paginator [pageSizeOptions]="[10, 25, 100]"
                 [pageIndex]="filter.pageNumber"
                 [pageSize]="filter.pageSize"
                 (page)="pageChanged($event)"
                 [length]="totalCount" aria-label="Select page"></mat-paginator>
</div>
